Przejdź do głównej zawartości

Ta przeglądarka nie jest już obsługiwana.

Przejdź na przeglądarkę Microsoft Edge, aby korzystać z najnowszych funkcji, aktualizacji zabezpieczeń i pomocy technicznej.

Pobieranie przeglądarki Microsoft Edge Więcej informacji o przeglądarkach Internet Explorer i Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Models

List models

GET /openai/v1/models

Lists models matching the request filters.

Odpowiedzi

The request has succeeded.

Treść

Content-Type: application/json
object enum wymagane
list
data OpenAI.Model[] wymagane

Client error

Treść

Content-Type: application/json
error OpenAI.Error wymagane
code string | null wymagane
message string wymagane
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Którekolwiek z poniższych:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string wymagane

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Treść

Content-Type: application/json
error OpenAI.Error wymagane
code string | null wymagane
message string wymagane
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Którekolwiek z poniższych:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string wymagane

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Żądanie

curl https://api.openai.com/v1/models \
  -H "Authorization: Bearer $OPENAI_API_KEY"
import os
from openai import OpenAI

client = OpenAI(
    api_key=os.environ.get("OPENAI_API_KEY"),  # This is the default and can be omitted
)
page = client.models.list()
page = page.data[0]
print(page.id)
import OpenAI from "openai";

const openai = new OpenAI();

async function main() {
  const list = await openai.models.list();

  for await (const model of list) {
    console.log(model);
  }
}
main();
using System;

using OpenAI.Models;

OpenAIModelClient client = new(
    apiKey: Environment.GetEnvironmentVariable("OPENAI_API_KEY")
);

foreach (var model in client.GetModels().Value)
{
    Console.WriteLine(model.Id);
}
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const model of client.models.list()) {
  console.log(model.id);
}
package main

import (
    "context"
    "fmt"

    "github.com/openai/openai-go"
    "github.com/openai/openai-go/option"
)

func main() {
    client := openai.NewClient(
        option.WithAPIKey("My API Key"),
    )
    page, err := client.Models.List(context.TODO())
    if err != nil {
        panic(err.Error())
    }
    fmt.Printf("%+v
", page)
}
package com.openai.example;

import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.models.ModelListPage;
import com.openai.models.models.ModelListParams;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        OpenAIClient client = OpenAIOkHttpClient.fromEnv();

        ModelListPage page = client.models().list();
    }
}
require "openai"

openai = OpenAI::Client.new(api_key: "My API Key")

page = openai.models.list

puts(page)

Response

{
  "object": "list",
  "data": [
    {
      "id": "model-id-0",
      "object": "model",
      "created": 1686935002,
      "owned_by": "organization-owner"
    },
    {
      "id": "model-id-1",
      "object": "model",
      "created": 1686935002,
      "owned_by": "organization-owner",
    },
    {
      "id": "model-id-2",
      "object": "model",
      "created": 1686935002,
      "owned_by": "openai"
    },
  ]
}
pl-pl
Wybrane przez Ciebie opcje dotyczące prywatności
  • Zastrzeżenie dotyczące sztucznej inteligencji
  • Poprzednie wersje
  • Blog
  • Współtworzenie
  • Prywatność
  • Prywatność kondycji konsumenta
  • Warunki użytkowania
  • Znaki towarowe
  • © Microsoft 2026